curl -X GET "http://VM_API_IP:PORT/platform"
{
"os_type": "linux",
"version": "Ubuntu 22.04.3 LTS",
"architecture": "x86_64"
}
{
"os_type": "windows",
"version": "Windows 11 Pro",
"architecture": "x86_64"
}
{
"os_type": "darwin",
"version": "macOS 14.0 Sonoma",
"architecture": "arm64"
}
Data Plane
Platform
Retrieve information about the VM’s operating system and platform
GET
/
platform
curl -X GET "http://VM_API_IP:PORT/platform"
{
"os_type": "linux",
"version": "Ubuntu 22.04.3 LTS",
"architecture": "x86_64"
}
{
"os_type": "windows",
"version": "Windows 11 Pro",
"architecture": "x86_64"
}
{
"os_type": "darwin",
"version": "macOS 14.0 Sonoma",
"architecture": "arm64"
}
Retrieves high-level information about the VM’s operating system and platform. Use this to determine the environment you’re working with.
Replace
VM_API_IP:PORT with the actual IP and port of the VM’s Desktop Environment API server.Response
string
Operating system type (e.g.,
windows, linux, darwin)string
Operating system version
string
CPU architecture (e.g.,
x86_64, arm64)curl -X GET "http://VM_API_IP:PORT/platform"
{
"os_type": "linux",
"version": "Ubuntu 22.04.3 LTS",
"architecture": "x86_64"
}
{
"os_type": "windows",
"version": "Windows 11 Pro",
"architecture": "x86_64"
}
{
"os_type": "darwin",
"version": "macOS 14.0 Sonoma",
"architecture": "arm64"
}